Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.documents
Class GsDoc

    java.lang.Object
      com.bea.apps.groupspace.content.ContentBaseImpl
          com.bea.apps.groupspace.content.CommunityContent
              com.bea.apps.groupspace.documents.GsDoc

All Implemented Interfaces
  ContentBase, Serializable

    public class GsDoc

extends CommunityContent

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.apps.groupspace.content.CommunityContent
`CommunityContent.NodeType, CommunityContent.Visibility`

Field Summary
`static String` | `ATTACHMENT`
`static String` | `ATTACHMENT_NAME`
`static String` | `ATTACHMENT_SIZE`
`static String` | `AUTHOR`
`static String` | `DEFAULT_ICON_KEY`
`static String` | `GS_DOC_TYPE`
`static Map` | `ICON_FILENAME_MAP`
`static String` | `KEYWORDS`
`static String` | `TYPE_NAME`

Fields inherited from class com.bea.apps.groupspace.content.CommunityContent
`CC_DESCRIPTION, CC_OWNER, CC_RELATED_NODES, CC_TITLE, CC_VISIBILITY, hiddenRelatedContent, hiddenRelatedContentIsSet, relatedContent, relatedContentIsSet, visibility`

Fields inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`node, typeName`

Constructor Summary
`GsDoc()` Need this
`GsDoc(Node node)` Create this object from a Node

Method Summary
`InputStream` | `getAttachment()`
`String` | `getAttachmentName()`
`long` | `getAttachmentSizeInBytes()`
`String` | `getAuthor()`
`String` | `getDocType()`
`com.bea.apps.groupspace.icons.Icon` | `getIcon()`
`com.bea.apps.groupspace.icons.Icon` | `getIcon(com.bea.apps.groupspace.icons.Icon.Size size)`
`String` | `getKeywords()`
`void` | `setAttachment(byte[] attachment)`
`void` | `setAttachmentName(String attachmentName)`
`void` | `setAttachmentSizeInBytes(long attachmentSizeInBytes)`
`void` | `setAuthor(String author)`
`void` | `setDocType(String docType)`
`void` | `setKeywords(String keywords)`

Methods inherited from class com.bea.apps.groupspace.content.CommunityContent
`convertVisibilityString, getDescription, getDisplayName, getOwner, getTitle, getVisibility, getVisibilityString, isPrivate, setDescription, setOwner, setRelatedContent, setTitle, setVisibility`

Methods inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`arrayAsValueArray, equals, getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, getStringValues, getValue, hashCode, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NAME

    public static final String TYPE_NAME

See Also
  Constants Summary

### AUTHOR

    public static final String AUTHOR

See Also
  Constants Summary

### KEYWORDS

    public static final String KEYWORDS

See Also
  Constants Summary

### GS_DOC_TYPE

    public static final String GS_DOC_TYPE

See Also
  Constants Summary

### ATTACHMENT

    public static final String ATTACHMENT

See Also
  Constants Summary

### ATTACHMENT_NAME

    public static final String ATTACHMENT_NAME

See Also
  Constants Summary

### ATTACHMENT_SIZE

    public static final String ATTACHMENT_SIZE

See Also
  Constants Summary

### ICON_FILENAME_MAP

    public static final Map ICON_FILENAME_MAP

### DEFAULT_ICON_KEY

    public static final String DEFAULT_ICON_KEY

See Also
  Constants Summary

Constructor Detail

### GsDoc

    public GsDoc()

  Need this

### GsDoc

    public GsDoc(Node node)

  Create this object from a Node

Method Detail

### getAuthor

    public String getAuthor()

### setAuthor

    public void setAuthor(String author)

### getKeywords

    public String getKeywords()

### setKeywords

    public void setKeywords(String keywords)

### getDocType

    public String getDocType()

### setDocType

    public void setDocType(String docType)

### getAttachment

    public InputStream getAttachment()
                              throws AuthorizationException,
                                     NoSuchPropertyException

  Throws
    `AuthorizationException`
    `NoSuchPropertyException`

### getAttachmentName

    public String getAttachmentName()

### setAttachmentName

    public void setAttachmentName(String attachmentName)

### getAttachmentSizeInBytes

    public long getAttachmentSizeInBytes()

### setAttachmentSizeInBytes

    public void setAttachmentSizeInBytes(long attachmentSizeInBytes)

### setAttachment

    public void setAttachment(byte[] attachment)
                       throws Exception

  Throws
    `Exception`

### getIcon

    public com.bea.apps.groupspace.icons.Icon getIcon()

  Specified by:
    `getIcon` in interface `ContentBase`
  Overrides:
    `getIcon` in class `CommunityContent`

### getIcon

    public com.bea.apps.groupspace.icons.Icon getIcon(com.bea.apps.groupspace.icons.Icon.Size size)

  Overrides:
    `getIcon` in class `CommunityContent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved